use Socket;

open( IN, "<hosts" ) || die "open: $!\n";
while ( <IN> ) {
    chomp;
    next if /^#/;
    ($a,$b) = split;
    $host{$b} = $a;
}
close(IN);

for $client 
    ( map { $_->[0] }
      sort { $a->[1] cmp $b->[1] }
      map { [ $_, join('.', reverse split/\./) ] }
      keys %host ) {
    printf "%-15s %s\n", $host{$client}, $client;
}
